LibreOffice LibreOffice 26.2 SDK API Reference

Loading...
Searching...
No Matches
KeyType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdbcx
| High-level database component interfaces.

## Constant Groups
constants | com::sun::star::sdbcx::KeyType
| determines the type of a key.

## Variables
const long | PRIMARY = 1
| indicates that the key is the primary key of a table.
const long | UNIQUE = 2
| indicates that the key is unique, NULL values are allowed.
const long | FOREIGN = 3
| indicates that the key is a foreign key of a table.